description

# DomException class Null safety

Annotations
  - @Unstable()
  - @Native("DOMException")

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
message → String?
  read-only
name → String
  read-only
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited

## Constants

ABORT → const String
  `'AbortError'`
CONSTRAINT → const String
  `'ConstraintError'`
DATA_CLONE → const String
  `'DataCloneError'`
ENCODING → const String
  `'EncodingError'`
HIERARCHY_REQUEST → const String
  `'HierarchyRequestError'`
INDEX_SIZE → const String
  `'IndexSizeError'`
INVALID_ACCESS → const String
  `'InvalidAccessError'`
INVALID_CHARACTER → const String
  `'InvalidCharacterError'`
INVALID_MODIFICATION → const String
  `'InvalidModificationError'`
INVALID_NODE_TYPE → const String
  `'InvalidNodeTypeError'`
INVALID_STATE → const String
  `'InvalidStateError'`
NAMESPACE → const String
  `'NamespaceError'`
NETWORK → const String
  `'NetworkError'`
NO_MODIFICATION_ALLOWED → const String
  `'NoModificationAllowedError'`
NOT_ALLOWED → const String
  `'NotAllowedError'`
NOT_FOUND → const String
  `'NotFoundError'`
NOT_READABLE → const String
  `'NotReadableError'`
NOT_SUPPORTED → const String
  `'NotSupportedError'`
OPERATION → const String
  `'OperationError'`
QUOTA_EXCEEDED → const String
  `'QuotaExceededError'`
READ_ONLY → const String
  `'ReadOnlyError'`
SECURITY → const String
  `'SecurityError'`
SYNTAX → const String
  `'SyntaxError'`
TIMEOUT → const String
  `'TimeoutError'`
TRANSACTION_INACTIVE → const String
  `'TransactionInactiveError'`
TYPE_ERROR → const String
  `'TypeError'`
TYPE_MISMATCH → const String
  `'TypeMismatchError'`
UNKNOWN → const String
  `'UnknownError'`
URL_MISMATCH → const String
  `'URLMismatchError'`
VERSION → const String
  `'VersionError'`
WRONG_DOCUMENT → const String
  `'WrongDocumentError'`